Bug 726953 - dbus should drop supplemental groups
Summary: dbus should drop supplemental groups
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dbus
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David King
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-31 12:37 UTC by Steve Grubb
Modified: 2017-12-06 12:26 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 12:26:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to fix the problem (568 bytes, patch)
2011-07-31 12:37 UTC, Steve Grubb
no flags Details | Diff

Description Steve Grubb 2011-07-31 12:37:28 UTC
Created attachment 516007 [details]
Patch to fix the problem

Description of problem:
After doing some testing, I found that dbus needs to drop supplemental groups when switching uids.

Version-Release number of selected component (if applicable):
1.2.24

How reproducible:
cat /proc/<pid>/status | grep Groups

Comment 2 RHEL Program Management 2011-07-31 13:08:29 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 3 Colin Walters 2011-08-01 15:06:02 UTC
Can you give me a link for WHY this is useful?  That would help me to put it in the upstream git.

Comment 4 Steve Grubb 2011-08-01 15:25:51 UTC
The bottom line is this: not dropping supplemental groups allows processes to retain some group privileges. When started by init, dbus does not have these. However, if an admin does an update and restarts dbus, then it will inherit the supplemental groups from the admin's login. On RHEL, root and disk and a few others are retained. 

So, if there is another bug in dbus, then the CVE will have to assess the CVSS impact differently because of these elevated permissions. So, a modify user's homedir bug becomes complete system compromise bug. I filed bugs on several other daemons, so this is not unique to dbus.

Comment 5 Colin Walters 2011-08-01 16:47:13 UTC
Ok, so this will be irrelevant for RHEL 7 where systemd fixes that long standing Unix misfeature of admin shell settings propagating into init scripts and then into daemons.

Still worth fixing before then though.  I'll push it upstream now.

Comment 6 Colin Walters 2011-08-01 19:17:28 UTC
Done: http://cgit.freedesktop.org/dbus/dbus/commit/?id=03ab0104abd18f1d137eac9a02a18fafeacd736c

(Note I had to write a commit message for you; please submit 'git format-patch' patches against upstream for future changes)

So for RHEL...does security team want this out combined with the next update?  Or how do you want it in?

Comment 8 Jan Kurik 2017-12-06 12:26:20 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.